Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gl4java.utils
Class Tool

    java.lang.Object
      |
      +--gl4java.utils.Tool

public class Tool
extends java.lang.Object

Field Summary
`static boolean` | `DEBUG`

Constructor Summary
`Tool()`

Method Summary
`static long` | `copyResource2TempFile(java.lang.Object resourceOrigin, java.net.URL urlOrigin, java.lang.String uri)`
`static java.awt.Point` | `getAbsoluteCoord(java.awt.Component co)` A few Component methods for easy awt-hierarchy querys
`static java.lang.String` | `getOSName()`
`static java.lang.String` | `getVendor()`
`static java.lang.String` | `getVersion()` A few Component methods for Java-VM access
`static int` | `getVersionMajor()`
`static int` | `getVersionMinor()`
`static java.awt.Window` | `getWindow(java.awt.Component co)`
`static boolean` | `isInSameWindow(java.awt.Component co1, java.awt.Component co2)` A few find methods to seek for Component(Shadow)s
`static boolean` | `isMicrosoftsVM()`
`static boolean` | `isNetscapesVM()`
`static boolean` | `isSunsVM()`
`static boolean` | `tmpfileClose(long filed)`
`static long` | `tmpfileCreate()`
`static int` | `tmpfileRead(long filed, byte[] data, int bytes)`
`static void` | `tmpfileRewind(long filed)`
`static int` | `tmpfileWrite(long filed, byte[] data, int bytes)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

Constructor Detail

### Tool

    public Tool()

Method Detail

### getVersion

    public static final java.lang.String getVersion()

  A few Component methods for Java-VM access

### getVersionMajor

    public static final int getVersionMajor()

### getVersionMinor

    public static final int getVersionMinor()

### getVendor

    public static java.lang.String getVendor()

### getOSName

    public static java.lang.String getOSName()

### isNetscapesVM

    public static boolean isNetscapesVM()

### isSunsVM

    public static boolean isSunsVM()

### isMicrosoftsVM

    public static boolean isMicrosoftsVM()

### getAbsoluteCoord

    public static java.awt.Point getAbsoluteCoord(java.awt.Component co)

  A few Component methods for easy awt-hierarchy querys

### getWindow

    public static java.awt.Window getWindow(java.awt.Component co)

### isInSameWindow

    public static boolean isInSameWindow(java.awt.Component co1,
                                         java.awt.Component co2)

  A few find methods to seek for Component(Shadow)s

### tmpfileCreate

    public static final long tmpfileCreate()

### tmpfileClose

    public static final boolean tmpfileClose(long filed)

### tmpfileWrite

    public static final int tmpfileWrite(long filed,
                                         byte[] data,
                                         int bytes)

### tmpfileRead

    public static final int tmpfileRead(long filed,
                                        byte[] data,
                                        int bytes)

### tmpfileRewind

    public static final void tmpfileRewind(long filed)

### copyResource2TempFile

    public static final long copyResource2TempFile(java.lang.Object resourceOrigin,
                                                   java.net.URL urlOrigin,
                                                   java.lang.String uri)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD